%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-tzdata
Version:       2025.1
Release:       1mamba
Summary:       Provider of IANA time zone data
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python/tzdata
Source:        https://pypi.debian.net/tzdata/tzdata-%{version}.tar.gz
License:       Apache License 2.0
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-build-py3
BuildRequires: python-python_install-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n tzdata-%{version}

%build
%{__python} -m build --wheel --skip-dependency-check --no-isolation

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m venv --system-site-packages test-env
%{__python} -m install --optimize=1 --destdir="%{buildroot}" dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%doc LICENSE

%changelog
* Fri Jan 24 2025 Automatic Build System <autodist@openmamba.org> 2025.1-1mamba
- automatic version update by autodist

* Tue Sep 24 2024 Automatic Build System <autodist@openmamba.org> 2024.2-1mamba
- automatic version update by autodist

* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 2024.1-1mamba
- automatic version update by autodist

* Fri Dec 29 2023 Automatic Build System <autodist@mambasoft.it> 2023.4-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 2023.3-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 2023.3-1mamba
- automatic version update by autodist

* Sat Mar 25 2023 Automatic Build System <autodist@mambasoft.it> 2023.2-1mamba
- automatic version update by autodist

* Thu Dec 01 2022 Automatic Build System <autodist@mambasoft.it> 2022.7-1mamba
- automatic version update by autodist

* Mon Oct 31 2022 Automatic Build System <autodist@mambasoft.it> 2022.6-1mamba
- automatic version update by autodist

* Sat Oct 15 2022 Automatic Build System <autodist@mambasoft.it> 2022.5-1mamba
- automatic version update by autodist

* Tue Sep 27 2022 Automatic Build System <autodist@mambasoft.it> 2022.4-1mamba
- automatic version update by autodist

* Sun Aug 14 2022 Automatic Build System <autodist@mambasoft.it> 2022.2-1mamba
- automatic version update by autodist

* Fri Mar 18 2022 Automatic Build System <autodist@mambasoft.it> 2022.1-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2021.5-1mamba
- package created using the webbuild interface
